Bug 963301 - Thread leaks on testsuite - clone of https://issues.jboss.org/browse/HORNETQ-1198
Thread leaks on testsuite - clone of https://issues.jboss.org/browse/HORNETQ-...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.1.1
Assigned To: Clebert Suconic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 11:34 EDT by Clebert Suconic
Modified: 2013-09-16 16:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:22:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clebert Suconic 2013-05-15 11:34:12 EDT
Description of problem:

The testsuite is eventually leaking threads. Some of these causes could eventually cause dead locks.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Fix UnitTestCase::checkThread (it was broken, which is also part of this change)
2. Run the testsuite and look for results
  
Actual results:

Threads will keep running after the tearDown of a test

Expected results:

All threads should be stopped

Additional info:

The testsuite checkThread is a way to keep the testsuite clean. This won't cause any issues in production but it will keep the sanity of the code.
Comment 1 Clebert Suconic 2013-05-15 11:37:37 EDT
PR submitted: https://github.com/hornetq/hornetq/pull/1061
Comment 3 Clebert Suconic 2013-08-27 11:34:27 EDT
This was fixed as part of https://bugzilla.redhat.com/show_bug.cgi?id=963301 / https://issues.jboss.org/browse/HORNETQ-1198 on 2.3.2
Comment 4 Paul Gier 2013-08-27 11:39:51 EDT
Hornetq 2.3.2.Final was included in 6.1.1 ER3
Comment 5 Clebert Suconic 2013-08-27 11:47:02 EDT
this was fixed on 2.3.2
Comment 6 Miroslav Novak 2013-08-28 04:16:51 EDT
ManagementActivationTest and ManagementActivationTest are not leaking anymore. Thanks for the fix! Verified in EAP 6.1.1.ER7.

Note You need to log in before you can comment on or make changes to this bug.